1.0.2: The Bigger '26 Update

Released on April 11 2026
-----------------
FIXES:
-----------------
• Sneaking no loger causes arm disconnect on 1.21.9+.
===========================================
1.0.1: The Big '26 Update

Released on April 6 2026
-----------------
First update of the year is a hotfix actually.
-----------------
FIXES:
-----------------
• The first person arm should no longer be offset on newer EMF version past 1.21.8.
-- The fix is not full proof, however. The arm is still offset, but slightly on resource pack reload. Entering third person, or disabling player animations fully fixes it.
-- This hotfix was made, because of said option not being as reliable on 26.1.
===========================================
1.0.0: The Full-Release

Released on December 29 2025
-----------------
This was suppose to release a day earlier, but making all of the art assets for the pack's pages took longer than expected.

Welcome to Cake's Cosmetic Pack (Java)! For those who are new here, this pack has been in the works for a while, with an alpha release a month ago. But now, it is fully completed on Java Edition. (expect of the 35 missing cosmetics that are in companion packs, but we dont get here)
If you cant tell, this is a port of my bedrock pack of the same name. I intended to make this pack as compatible with other player packs as possible (which.. kinda works) cause while I dont use those packs a lot of people do.
The pack uses the cape to show the cosmetic to other players. Meaning that you must have one for it to show. To avoid duplicate cosmetics, the cape is also invisible on other players. to avoid duplicate cosmetics. Thankfully, i've thought about this and added a "Capeless Support" toggle which allows said capeless people to see their cosmetics. This sadly modify the player model, making it impossible to see custom player models and animations that work via EMF
There are also options to ease users into making their own cosmetics, with custom slots easily available on the main pack, and soon, companion.
Now that it is released, all that is left is porting the companion packs, a way for the pack to have new content without adding too much options from the base pack.

For those who were here during the public beta, or alpha, yeah, its done, im going to bed now
But anyways, onto the Changelog! (only contains the changes since the last beta)
-----------------
CHANGES AND ADDITIONS:
-----------------
• The pack now works correctly on 1.20.1 and above! But it is not perfect however:
-- 1.21.5 has sadly not been tested because prism launcher refused to work with that version, for some reason. BUt it should work as the version before and after that have.
-- 1.21.4 cosmetic switching works, but isnt as reliable on textures however. This can be worked around if you reload textures fast enough restart the game, or just randomly (i dont know why it does this, and it's unlikely that JFronny would do anything about it)
-- 1.21.1 and below had completely different cape handleling, which required a completely new model to add support to that version.
-- 1.20.1 made me move said fixes to the main pack because pack overlays were only added in 1.20.2. The old models are in the "1.21.2_fix" pack overlays however.
-- Why no 1.20 support? too much work (no seriously, the version is so low, the conditions dont work anymore) and either way, most mod now minimally support 1.20.1
--- Additionally, the attack animation isnt being applied to back cosmetics, but the same bug is on vanilla, so ill ignore this.
-- backporting is no small feat, now i know why some mods that support newer adn/or version dont do this.
• The pack now properly supported all Englishes, Frenches and Spanishes, making it more accesible to those who aren't fluent or native english speekers.
-- Special Thanks to D°Uzi (UziDcraft on Twitter/X) for translating the config screen to spanish! (they are all mexican though because he is mexican, so let me know if one of the translations are inaccurate)
• The all-mighty crown of royalty had to be remade due to long usage, now its much more sparkly than before!
-- They forgot to change all of the framing however, so the dimensions were unchanged.
• Made micro-ajustements to the caped head cosmetic rotations, which should reduce the slight rotating even more.
-----------------
FIXES:
-----------------
• The cape now disappears when wearing a back cosmetic with the capeless toggle enabled.
-- This fix only applies to 1.21.2 and above, as 1.21.1 and below doesnt even make it show up, and i dont think i can make it show up aswell.
-- The fix also disables the cape on these cosmetics.
• The Modern backpack's positions now matches when the capeless toggle is enabled.
• Fixed a few typos and incorrect grammar on the changelogs.
-----------------
PACK DOCUMENTS:
-----------------
• Added 2 new tutorials and added many more details to the base one.
• Change the note of the capeless cosmetic's ".rpo" files to be more understandable.
• Unrelated to the pack, but overhauled the pack's pages, and images
• Unrelated to the pack, but changed the supported versions of each pack before 1.0.0 to better reflect their supported versions.
• Changed the description and version number of the pack to reflect it's new stage.
-----------------
NOTES:
-----------------
• Somehow, the pack on java is more compressed than the bedrock version of the pack. Damn.
• The wings cosmetic wont have it's special elytra model soon, as the model doesnt seem to be modified as expected on 1.21.10 Maybe ill work on it in an older version.
• Unlike the bedrock pack, compatibility with player animation packs is not fully gurranted. At best, the cape is not following the player, best case!
-----------------
• I will take a break from resource pack making for a bit because there arent much that is left for the cosmetic pack. I will maintain this once I start porting the companion packs, but for now, the pack should be somewhat, if not, completely bug-free.
===========================================
0.3.0: The Creator-first update, Part 2

Released on December 24 2025
-----------------
Well I did say that i probably wont be done before christmas, and look at the date, the bedrock pack is now an infant

but the good news is that were getting really close to the full release, as this should be the last beta! There isnt a whole lot to complete now, here is all that is left:
• Add the leftover tutorials
• Backporting (1.21.8 to 1.20)
• Some fixes, if there are any:
-- back cosmetics showing the cape if wearing a cape when the capeless toggle is enabled
• Translating the pack (all other englishes, french and spanish (i know a guy for that language cause google translate is NOT going in))
• Some small promo art and major updating of the modrinth and curseforge pages (will be a major refresher compared to staring at vscodium for a day)
• That's it

For now, I'm going to get some rest for a day, cause im tired and want to have fun during christmas. The day after, ill start full sending the 1.0 release (it was suppose to be 2.4.1, but plans changed) before 2026 releases, it should go quickly, but at worse, you will see the year go up by one.
Now, a wish from me: I hope 2026 goes better for the tech world and me, cause it currently looks very dystopian, and im having some academic issues closer to the end of the year (my twitter will still be on hiatus for a while, dont expect a comeback until very late january at least).

Merry Christmas everyone, and Happy Birthday Cake's Cosmetic Pack and Actions & Stuff :)
-----------------
CHANGES AND ADDITIONS:
-----------------
• Added tutorials inside the pack in order to ease newer and less experienced players into making their own custom cosmetics.
-- For now, this version includes the tutorial for caped players. All of the rest will be added on full release.
• Removed the Elytra toggle as I am unable to apply animations how I wanted for some fixes.
-- Maybe in the future, I can revisit this.
• Implemented the capeless support toggle, it is no longer useless.
-- Sadly, due to the way it works, Respackopts has become a dependency. In the future, ill try to improve on it so that its a choice. (for those who still prefer the first cosmetic of each slot)
-- Cosmetics that wants to have capeless support will have to create a different model for it thought. The good news is that there is a tutorial!
• Added a Tooltip on the selected cosmetic toggle about how to enable mulitplayer cape support without the capeless support toggle.
• Shortened the condition names of each of the .rpo file so that it no longer has the pack's ID. Just a small compression change.
-----------------
FIXES:
-----------------
• Fixed a typo on the changelog.
-----------------
NOTES:
-----------------
• The swinging animation for capeless head cosmetics doenst even have any issues as they are attached to the head, instead of having to recreate the head animation.
• Compared to the bedrock version, this is noticeable more technically impressive.
-- Mainly because i had to learn alot more than just render controllers, most of this was not copy pasting, it was all manual labor.
===========================================
0.2.0: The Creator-first update, Part 1

Released on December 22 2025
-----------------
We have reached the first hundred downloads on Java! (on modrinth at least, currently at half on CurseForge)
This is the first update that is focused on custom cosmetics part 2 should have what is left, mostly, the dreaded tutorial. (it will go in too much detail so im worried)
• What's that you may ask? well, in the bedrock version since day 1, i've included a tutorial on how to create a custom cosmetic for anyone unfamiliar with blockbench, but who wants to still make something themselves (especially since i dont want to make cosmetics for people, unless money is involved. Made me realized that should probably set up commissions for that). Now, i plan on hopefully improving on it, but it will also be longer because there is more going on and to cover.

Also, I will remove the ported cosmetic tracking unless new cosmetics have been added/ported as it gets annoying if nothing has been changed.
-----------------
CHANGES AND ADDITIONS:
-----------------
• Added 7 new slots for custom cosmetics.
-- They are only intended for use if the user has made a cosmetic in one of these slots. Otherwise, they will show a placeholder model and texture.
-- The next update will add a tutorial on how to make a cosmetic, so for now, you will have to figure out how the pack works in order to create a custom cosmetic.
• Added a Capeless support and Elytra Support toggles. They have no functionality yet.
• Added "DirFilterAdditive" to the respackopts file for better mod compatibility when "DirFilter" fails.
-- while it is slower, it can be more realible for some players.
• Added some language options for the pack. Currently only support English (United States), which includes:
-- Adding a singular apostrophe to the pack's title in the configuration screen.
-- Adding a tooltip regarding the Capeless support and Elytra Support toggles, explaning what they do.
-----------------
NOTES:
-----------------
• Does anyone have a more reliable way of checking which arm is swinging? The current method that im using only works on the main hand.
-- Well if i or someone else probably donest figure it out, i may be able to ask Fresh_lx by the time Fresh Player Animations release.
===========================================
0.1.1: The Two-toned Hotfix

Released on December 21 2025
-----------------
well i guess something didnt work, and now i have to make this hotfix.
• Official Cosmetics ported: 7/42
-----------------
CHANGES AND ADDITIONS:
-----------------
• Changed the Diamond Crown cosmetic texture.
-----------------
FIXES:
-----------------
• All cosmetics after the Black Headphones are now selectable and viewable in game.
-- I accidentally used and (&) instead of or (|) when making the conditions, but now it should work.
• Added a missing "rpo" file for the black headphones, should fully fix all switching issues now.
===========================================
0.1.0: The Beta-times Update

Released on December 19 2025
-----------------
Im finally free from the grasps of school for 2 weeks, and can focus alot more on getting this to its full release!

And most importantly, the pack is now in the beta state since it now has all of the base cosmetics ported over! That means that the full release will be soon.
• Official Cosmetics ported: 7/42
-----------------
CHANGES AND ADDITIONS:
-----------------
• Ported the Headphones cosmetic, which includes the black version, that can now be selected ingame instead of the files.
-- This is also the last base cosmetic that is needed to be ported, which means one thing... More on the notes.
• Added the Diamond Crown cosmetic, to celeberate the first anniversary of the Cosmetic Update, an update to Cake's Cosmetic Pack (on bedrock) that influenced all of the packs that i made after the update and made me more well known as a resource pack creator.
-- This is the first, Java-exclusive cosmetic  for a bit. It will be ported to bedrock by the next bedrock market.
• Added spaces to the double-worded cosmetics.
• Implemented the 0.0.4 refactored texture swapping with models now.
-- Now it should look a lot easier to modify and create a cosmetic, once that is implemented, which isnt in alot of time.
• Changed pack's description.
-----------------
FIXES:
-----------------
• Head cosmetics no longer rotate when punching on the main hand with default animations.
• Fixed some typos in the pack.
-----------------
NOTES:
-----------------
• Since the pack is now closer than ever to its full release, all that is really left is to add custom slots, add capeless support (if possible), check support for older version and maybe fix 1.21.2 support (since we all know the amount of people who are still playing on 1.20.1), and other fixes adn polish, if needed.
-- By full release, major changes on how the pack work, like this, wont happen as much, as that would be annoying for companion packs.
===========================================
0.0.4: The Factorial Update

Released on December 14 2025
-----------------
Hi, for the fourth time
• Official Cosmetics ported: 5/41
-----------------
CHANGES AND ADDITIONS:
-----------------
• Ported the crown cosmetic, which is the first head cosmetic.
-- So far, head cosmetic positions have basic positioning in order to look correct for most cases, all that is left is to cancel the attack animations by recreating it as much as possible, but inverted.
-- This also means that we are getting close to the beta stage! The headphones cosmetic will release once the first beta version releases.
• Refactored how cosmetic texture swapping works with Respackopts:
-- In short, all textures are now saved in a new folder ("coc_cp_textures" in the minecraft directory instead of the optifine random textures directory) and the singular alpha texture is no longer repurposed to hide the cosmetic on other players.
--- Overall, I think this change will make custom cosmetic creation much easier once that is implemented.
• The pack now uses the EMF directory for models instead of the Optifine directory, mainly because that mod got ZERO cape model support, ZERO fps improvements, ZERO mod compatibility, and most importantly, ZERO BI-
-- ok i was too harsh there, but my point still stands, it is missing alot of CEM models and they have to be added manually instead of the auto-method that Traben has made for EMF.
• Wings animations no longer uses variables, slightly reducing pack size (not really). (in other words, animations are now calculated at runtime)
• Changed some comments around the pack.
-----------------
NOTES:
-----------------
• Sadly, there may not be a backport of the pack for 1.19.4 and 1.18.2 due to the fact that the ETF and EMF version used there are outdated.
-- Respackopts also works differently at times on older versions, so ill have to see for that.
--- For now, Cake's Cosmetics Pack will only support the latest release of Minecraft (1.21.11, but it is still being developped in 1.21.10). This wont be the case before full release however, as ill work my way into making it work on older versions.
• You are able to have capes show up on players again if you enable the "Only modify your player model" setting in EMF. Ill only recommend this if you dont use a player animation pack, like Detailed Animations, Silly Moves or Fresh Animation's player extension. If its possible, maybe ill be able to make it show up again without said workaround.
• Starting at the end of next week, school should close up, leaving time for winter break, which means more time, and hopefully fewer gaps in between each update.
-- However, now that I look at it, I may not be able to upload the full release before christmas, at most, maybe ill include a special cosmetic in christmas eve (for those who know, you know what that day means), so ill push back to before winter break ends for me (i hope) which is until january. 
• I just realized that technically, i dont have to include a capeless companion pack because respackopts exists... Will do that once i get here.
===========================================
0.0.3: The Heavenly Update

Released on December 7 2025
-----------------
• First, I just want to say that ive already reached nearly 100 downloads on both platforms. Its not a lot (compared to the nearly 35k of the bedrock version (still my most downloaded pack SO FAR)), but its a solid start, despite this port missing a lot of cosmetics currently.

• Second, and I know most of you will not care about this, but I plan on making my own full D°Uzi Craft port (like, the entire pack, fully reported by someone else), I just need Masaki to add me onto the Modrinth page, make a CurseForge page (cause I guess some people still uses it (for minecraft java content, not the other games or Macrohard's wet dream of a version that they call Minecraft, and that the community calls Bedrock Edition)) and for him to release that UPDATE HE STILL HAS SOMEWHERE ON HIS SOLID STATE DRIVE (im not actually mad). After that, I can work on also porting Cake's D°Uzi Tweaks, another bedrock pack of mine.

• Third, well now there is a changelog in the pack

• Fourth, technically, this is suppose to release last week, but I didnt have enought time to select between more than one cosmetic intially. So now with more time, how does it work now?

Well for that, onto the changelog!
• Official Cosmetics ported: 4/41 (i actually made all of these?)
-----------------
CHANGES AND ADDITIONS:
-----------------
• Finally managed to implement more than 2 cosmetic switching:
-- Required a slight refactoring of how cosmetic switching works however, from switching using porperty files, to switching using the optifine models themselves.
-- Thanks to this, ported the following cosmetics from the bedrock version:
--- Wings, the first animated cosmetic of the pack so far.
---- The animations may not be as accurate to the bedrock animations, mainly because EMF dont have as many animation query equivalents, and its numbers and animations acted differently for some reason, even if you were to get the time variable 1 to 1 with bedrock (???), forcing me to make my own.
--- Anniversary Backpack, was made to celebrate the predecasor of the bedrock version's (Cake's Backpacks) first anniversary.
• Starting as of now, below each changelog, the amount of ported cosmetics will be noted. Until they are done, this will be a cool way of checking the amount of cosmetics that are available in both java and bedrock.
-- Yes, apparently, i made all of these. And yes, ALL of them will be available on both versions (if possible, with the same special functionality (if possible aswell))
-----------------
NOTES:
-----------------
• For some reason, if you want to switch between multiple cosmetics using RespackOpts, you would have to press the "Done" button twice; once in the Config screen, and another in the resource pack screen. The game will have to reload resource packs however to show the cosmetic.
• I'm currently looking at a way to implement 2 things,
-- 1. Head cosmetics without ingecting to the player model
-- 2. Not have to duplicate the empty pixel and properties files more than once for multiplayer support
-- 3. Much smaller, but being able to use the wings's Elytra texture in the wings cosmetics (this one could be implemented after the port's full release)
-- Once more, all of these things may cause major internal changes, but i am not worried about that until I have a solid backbone for custom cosmetic, which is one of the main principiles of the cosmetic pack.
• I've been thinking of how the pack's roadmap would work, and I've managed to created a bsic roadmap:
-- (Current) Alpha: Made for the players (adding cosmetics)
-- Beta: Made for the creators (custom cosmetics slot, making the pack a dependancy for companion packs, and player-less cape support)
-- Release: Polish on all packs (if needed) and properly checking older versions support (1.21.8 until 1.20 (maybe until 1.18.2, but those versions now dont have as many outdated mods and ill had to add support for outdated EMF & ETF versions))
-- Post Release: Porting all companion pack, and having as much parity to the bedrock version as possible, while avoiding major internal changes (unless needed)
• After Full Release, the version number will have parity with the bedrock version. Currently, it is on 2.4.0, with 2.4.1 releasing tomorrow to fix issues caused by Mounts of Mayhem.
-----------------
• Sorry for the yapfest that this changelog has become, but there was alot to that I wanted to cover. May reduce it next week, in which, that update should include head cosmetics.
===========================================
0.0.2: The Company Update

Released on November 30 2025
-----------------
CHANGES AND ADDITIONS:
-----------------
• Ported the Modern Backpack, which also adds basic RespackOpts compatibility.
• Changed the names of the cosmetic's texture files to be a lot clearer.
-----------------
NOTES:
-----------------
• I forgot to include a changelog file since this is an update... Oh well, that'll be next week! (probably)
===========================================
0.0.1: Alpha release

Released on November 23 2025
-----------------
This is the beginning of an idk how long month journey, so follow me if you which to see where this would go!

my goal is to be 100% completed before christmas, which may be too much but i dont have alot to do for the next 2 months, so why not work on this?

yes, it would get finished eventually instead of being stuck in a alpha state, in fact, the next update may be a week away! (i have a checklist of things to do before the port is complete, its in the pack's pages)
============================================
